For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • GETGet organization provider
        • GETGet all organization providers
        • POSTCreate organization provider
        • PATCHUpdate organization provider
Contact Sales
LogoLogo
API ReferenceOrganization ProvidersV3

Get all organization providers

GET
/api/organization-providers/v3
GET
/api/organization-providers/v3
$curl -G https://api.joincandidhealth.com/api/organization-providers/v3 \
> -H "Authorization: Bearer <token>" \
> -d limit=100 \
> -d search_term=john \
> -d npi=1234567890 \
> -d is_rendering=true \
> -d is_billing=true \
> -d page_token=eyJ0b2tlbiI6IjEiLCJwYWdlX3Rva2VuIjoiMiJ9 \
> --data-urlencode sort=provider_name:asc
200Retrieved
1{
2 "items": [
3 {
4 "npi": "1234567890",
5 "is_rendering": true,
6 "is_billing": true,
7 "provider_type": "INDIVIDUAL",
8 "license_type": "MD",
9 "organization_provider_id": "965A563A-0285-4910-9569-E3739C0F6EAB",
10 "qualifications": [
11 {
12 "identifier_code": "MCR",
13 "identifier_id": "123e4567-e89b-12d3-a456-426614174000",
14 "identifier_value": {
15 "type": "medicare_provider_identifier",
16 "provider_number": "1234567890",
17 "state": "CA"
18 }
19 }
20 ],
21 "first_name": "John",
22 "last_name": "Doe",
23 "organization_name": "Acme Medical",
24 "tax_id": "123456789",
25 "taxonomy_code": "1234567890",
26 "employment_start_date": "2020-10-07",
27 "employment_termination_date": "2021-10-07"
28 }
29 ]
30}
Was this page helpful?
Previous

Create organization provider

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Query parameters

limitintegerOptional
Limit the number of results returned. Defaults to 100.
search_termstringOptional
Filter to a name or a part of a name.
npistringOptional
Filter to a specific NPI.
is_renderingbooleanOptional
Filter to only rendering providers.
is_billingbooleanOptional
Filter to only billing providers.
organization_provider_idsUUIDOptional
Filter to the provided organization provider IDs.
page_tokenstringOptional
The page token to continue paging through a previous request.
sortenumOptional

Defaults to PROVIDER_NAME_ASC.

Allowed values:
organization_idUUIDOptional
Filter to a specific organization's providers. If not provided, defaults to the requesting user's organization.

Response

This endpoint returns an object.
itemslist of objects
next_page_tokenstring
prev_page_tokenstring